Summary:       A set of scripts to work locally on subversion checkouts using mercurial
Name:          hgsvn
Version:       0.2.3
Release:       1%{?dist}
License:       GPLv3+
Group:         Development/Tools
URL:           http://pypi.python.org/pypi/hgsvn/
Source0:       https://pypi.python.org/packages/source/h/hgsvn/hgsvn-%{version}.zip
Patch0:        hgsvn-0.1.9-disable-ez.patch
Patch1:        hgsvn-0.1.9-subversion-1.7.patch
BuildArch:     noarch
Requires:      mercurial >= 1.4.3
Requires:      subversion
Requires:      python-setuptools
# Needed in %%check
BuildRequires: python-devel
BuildRequires: mercurial >= 1.4.3
BuildRequires: python-nose
BuildRequires: subversion
BuildRequires: python-setuptools-devel

%description
This set of scripts allows to work locally on subversion managed
projects using the mercurial distributed version control system.

Why use mercurial? You can do local (disconnected) work, pull the
latest changes from the subversion server, manage private branches,
submit patches to project maintainers, etc. And of course you have
fast local operations like hg log and hg annotate.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python2} setup.py test || :

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt
%{_bindir}/hgimportsvn
%{_bindir}/hgpullsvn
%{_bindir}/hgpushsvn
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*-py*.egg-info

%changelog
* Mon Jan 20 2014 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-1
- 0.2.3

* Tue Nov 19 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.2.1-0.1.dev-1
- 0.2.1.dev

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.1.9-5
- Add patch to fix remove issue (bz #963320)

* Sun Feb 24 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.1.9-4
- Add patch to fix subversion 1.7 issue

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 31 2012 Terje Rosten <terje.rosten@ntnu.no> - 0.1.9-1
- Update to 0.1.9
- With mercurial >= 1.4.3 license issue is resolved

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Mar 04 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.1.8-1
- Update to 0.1.8

* Sun Nov 01 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.1.7-1
- Update to 0.1.7
- Fix license issue (bz #531456)
 
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.6-2
- Rebuild for Python 2.6

* Fri Aug 22 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.1.6-1
- 0.1.6
- tests are broken, disable %%check

* Sat Feb 16 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.1.5-3
- Add setuptools to req, (Ian Burrell, bz #433050)

* Sun Jan 27 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.1.5-2
- Add %%check section and build req as needed
- Add req on mercurial and subversion

* Fri Jan 25 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.1.5-1
- Initial build
